package org.apache.xerces.xni;

import java.util.Enumeration;

public interface NamespaceContext {
  public static final String XML_URI = "http://www.w3.org/XML/1998/namespace".intern();
  
  public static final String XMLNS_URI = "http://www.w3.org/2000/xmlns/".intern();
  
  int getDeclaredPrefixCount();
  
  void popContext();
  
  void pushContext();
  
  void reset();
  
  String getDeclaredPrefixAt(int paramInt);
  
  Enumeration getAllPrefixes();
  
  String getPrefix(String paramString);
  
  String getURI(String paramString);
  
  boolean declarePrefix(String paramString1, String paramString2);
}
